Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 30161 - Permit modules to add "upgrade" transformations of module dependencies
Permit modules to add "upgrade" transformations of module dependencies
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
3.x
All All
: P2 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
http://www.netbeans.org/source/browse...
: API
Depends on:
Blocks: 17815 29027 29577 29914
  Show dependency treegraph
 
Reported: 2003-01-16 01:26 UTC by Jesse Glick
Modified: 2008-12-23 12:53 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-01-16 01:26:06 UTC
Currently NbInstaller.refineDependencies hardcodes
an (ever-growing) list of dependency
transformations used to keep backwards
compatibility. But this is too much logic in the
core and makes it hard for modules to manage their
own lifecycles. Should be possible to declare
transformations in XML and add them to the system.

See proposed DTD. XML files would be looked for in
$dir/system/ModuleAutoDeps/*.xml for $dir in
$nbhome and $nbuser (i.e. system filesystem before
any modules have been enabled).
Comment 1 Jesse Glick 2003-01-16 01:30:10 UTC
Working on in branch for issue #29914.
Comment 2 Jesse Glick 2003-01-16 02:04:14 UTC
In progress.
Comment 3 _ pkuzel 2003-01-17 10:43:17 UTC
A naming note: trigger => dependency, result => implies. 
Comment 4 Jesse Glick 2003-01-17 14:47:35 UTC
OK, that naming change sounds reasonable enough.
Comment 5 Jesse Glick 2003-01-21 03:10:24 UTC
Changed to:

dependency => trigger-dependency
results => implies
Comment 6 Jesse Glick 2003-01-21 03:11:04 UTC
Working in branch.
Comment 7 Jesse Glick 2003-01-27 22:02:25 UTC
Fixed; see issue #29914 for details.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo